Bug 167330 - some users may require /opt directory layout
some users may require /opt directory layout
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-09-01 13:09 EDT by Jason Vas Dias
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-02 16:07:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jason Vas Dias 2005-09-01 13:09:17 EDT
Description of problem:

With tog-pegasus-2.4.1-2.rhel4+ we moved away from the upstream practice 
of installing all tog-pegasus components under /opt, as this contravenes
our packaging guidelines, and could present serious problems to users who
have only a small / partition and /opt by default on /.

The following mappings were made, which it was attempted to make as
"conventional" as possible while retaining the tog-pegasus functionality:

/etc/opt/tog-pegasus   ->   /etc/Pegasus   : configuration files
/opt/tog-pegasus/sbin  ->   /usr/sbin      : superuser programs
/opt/tog-pegasus/bin   ->   /usr/bin       : user programs
/opt/tog-pegasus/lib   ->   /usr/lib       : libraries
/opt/tog-pegasus/mof   ->   /usr/share/Pegasus/mof : managed object files
/opt/tog-pegasus/samples   -> /usr/share/Pegasus/samples : "SDK" samples
/opt/tog-pegasus/test      -> /usr/share/Pegasus/test    : test rpm files
/opt/tog-pegasus/html      -> /usr/share/Pegasus/html    : html repository
/opt/tog-pegasus/share/man -> /usr/share/man             : man-pages
/opt/tog-pegasus/share/doc -> /usr/share/doc/tog-pegasus-${VERSION} : docs
/opt/tog-pegasus/providers/lib -> /usr/lib/Pegasus/providers: provider DSOs
/var/opt/tog-pegasus           ->  /var/lib/Pegasus : cache and repository
/var/run/tog-pegasus/socket    ->  /var/run/tog-pegasus  : pid and socket files

The tog-pegasus internal hard-coded paths were changed to conform to this new

But some users with third-party scripts or applications may not be able to
use this layout.

So a script was provided, in 
/usr/share/Pegasus/scripts/opt-tog-pegasus ,
that will create the required symobolic links to make every path 
that was valid in the upstream tog-pegasus release layout still 
valid in the Red Hat tog-pegasus release layout.
To use this script, simply type, as root :

# /usr/share/Pegasus/scripts/opt-tog-pegasus

This will create links to the tog-pegasus files in /bin, /usr/sbin, /usr/lib
(or /usr/lib64 on 64-bit architectures) and /usr/share/man, and links to the
corresponding directories from /opt and /var/opt, to make all /opt based 
upstream paths still valid with a minimal disk usage.

You can then do

# ls -R /opt/tog-pegasus

and see the same files as you would with the upstream release.

Using this script is entirely optional and only for those who 
require the /opt/tog-pegasus locations.

It can also be optionally invoked during the package postinstall script
by installing / upgrading the tog-pegasus package with
# rpm -[Ui] --define 'OPT_TOG_PEGASUS 1' tog-pegasus*.rpm

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Install package
Actual results:
# ls -R /opt/tog-pegasus
produces no output

Expected results:
# ls -R /opt/tog-pegasus
should show the same files as would be shown if the upstream release
was installed .

Additional Info:

Not running this script has no effect on tog-pegasus operation.
Comment 1 Jason Vas Dias 2005-09-01 13:10:13 EDT
Fixed with version tog-pegasus-2.4.1-4 .
Comment 2 Bill Nottingham 2005-09-01 14:13:21 EDT
Devel NAK. This is not something we want to support.

Note You need to log in before you can comment on or make changes to this bug.